data:extend( 
{


	{
		type = "item",
		name = "hopper",
		icon = "__immersive-ores__/graphics/washericon.png",


		flags = {"goes-to-quickbar"},
		subgroup = "immersiveOreMachines",
		order = "d-juliaellie-hopper",
		place_result = "hopper",
		stack_size = 50

	},


	{
		type = "recipe",
		name = "hopperRecipe",
		ingredients = {{"iron-plate",5},{"iron-gear-wheel",3}},
		result = "hopper",
		energy_required = 1,
		enabled = true
	

	},


	{
    type = "inserter",
    name = "hopper",
    icon = "__base__/graphics/icons/basic-transport-belt-to-ground.png",

    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "hopper"},
    max_health = 40,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},

    pickup_position = {0, -0.8},
    insert_position = {0, 1},
    energy_per_movement = 100,
    energy_per_rotation = 100,
    
	energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      drain = "1kW"
    },


	rotation_speed = 1,
    extension_speed = 1,
    hand_size = 1,
   -- fast_replaceable_group = "long-handed-inserter",
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      match_progress_to_activity = true,
      sound =
      {
        {
          filename = "__base__/sound/inserter-long-handed-1.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-long-handed-2.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-long-handed-3.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-long-handed-4.ogg",
          volume = 0.75
        },
        {
          filename = "__base__/sound/inserter-long-handed-5.ogg",
          volume = 0.75
        }
      }
    },
    hand_base_picture =
    {
      filename = "__immersive-ores__/graphics/hopperHand.png",
      priority = "extra-high",
      width = 1,
      height = 1
    },
    hand_closed_picture =
    {
      filename = "__immersive-ores__/graphics/hopperHand.png",
      priority = "extra-high",
      width = 1,
      height = 1
    },
    hand_open_picture =
    {
      filename = "__immersive-ores__/graphics/hopperHand.png",

      priority = "extra-high",
      width = 1,
      height = 1
    },
    hand_base_shadow =
    {
      filename = "__immersive-ores__/graphics/hopperHand.png",

      priority = "extra-high",
      width = 1,
      height = 1
    },
    hand_closed_shadow =
    {
      filename = "__immersive-ores__/graphics/hopperHand.png",

      priority = "extra-high",
      width = 1,
      height = 1
    },
    hand_open_shadow =
    {
      filename = "__immersive-ores__/graphics/hopperHand.png",

      priority = "extra-high",
      width = 1,
      height = 1
    },
    platform_picture =
    {
      sheet =
        {
          filename = "__immersive-ores__/graphics/hopper.png",
          priority = "extra-high",
          shift = {0.26, 0},
          width = 57,
          height = 43,
          y = 43
        }

    }
  },






	
				
	
})