data:extend( 
{


	{
		type = "item",
		name = "washer",
		icon = "__immersive-ores__/graphics/washericon.png",


		flags = {"goes-to-quickbar"},
		subgroup = "immersiveOreMachines",
		order = "c-juliaellie-washer",
		place_result = "washer",
		stack_size = 50

	},


	{
		type = "recipe",
		name = "washerRecipe",
		ingredients = {{"iron-plate",5},{"copper-plate",5}},
		result = "washer",
		energy_required = 1,
		enabled = true
	

	},


	{
		type = "assembling-machine",
		name = "washer",
    		icon = "__immersive-ores__/graphics/washericon.png",

		
		flags = {"placeable-neutral", "placeable-player", "player-creation"},

		 minable = {mining_time = 1, result = "washer"},
		max_health = 200,
		corpse = "big-remnants",
		dying_explosion = "big-explosion",
		resistances =
    		{
     		 {
        		type = "fire",
       		 percent = 95
      	}
   	     },
		

		collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    		selection_box = {{-1.5, -1.5}, {1.5, 1.5}},


		crafting_categories = {"immersiveOreRecipes"},
		result_inventory_size = 1,
		crafting_speed = 1,
    		energy_usage = "75kW",
    		source_inventory_size = 1,
		ingredient_count = 1,
		
		energy_source = {type = "electric", usage_priority = 						"secondary-input", emissions = 0},

		
		animation =
    {
      filename = "__immersive-ores__/graphics/washer.png",
      priority="high",
      width = 99,
      height = 102,
      frame_count = 32,
      line_length = 8,
      shift = {0.25, -0.1}
    },

							
	


		fluid_boxes =
    {
      {
        production_type = "input",
        pipe_picture = assembler2pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -2} }}
      },
      
      --off_when_no_fluid_recipe = true
    }





	
				
	}
})