function addResult(stringResult)

return
	{
		type = "item", 
		name = stringResult, 
		amount = 1, 
		probability=0.3
	}
end 



function makeOreResults()

recipeTable = {}

table.insert(recipeTable,
	{
		type = "item", 
		name = "stone", 
		amount = 1, 
		probability=0.5
	}
)



table.insert(recipeTable,addResult("iron-ore"))
table.insert(recipeTable,addResult("copper-ore"))



return recipeTable 

end







data:extend(
{
	{

		type = "recipe-category",
		name = "immersiveOreRecipes"
	},

	{

		type = "recipe-category",
		name = "immersiveOreRecipesHand"
	},

	

	{
		type = "item-subgroup",
    		name = "immersiveOreRecipes",
   		group = "immersiveOres",
  		order = "z"

	},
	

	{
		type = "item-subgroup",
    		name = "immersiveOreMachines",
   		group = "immersiveOres",
  		order = "a"

	},

	

	


	{
    		type = "item-group",
    		name = "immersiveOres",
    		order = "z",
    		inventory_order = "a",
    		icon = "__immersive-ores__/graphics/washericon.png",
  },


	{
		type = "recipe",
		name = "immersiveOreRecipe",
		ingredients = {{type = "item", name = "stone",amount=1},{type = "fluid", name = "water",amount = 5}},
		results = makeOreResults(),
		subgroup = "immersiveOreRecipes",

		category = "immersiveOreRecipes",
		
		energy_required = 1,
		enabled = true,
		icon = data.raw.item["stone"].icon
	
	},


	{
		type = "recipe",
		name = "immersiveOreRecipeHand",
		ingredients = {{type = "item", name = "stone", amount=1}},
		results = makeOreResults(),
		subgroup = "immersiveOreRecipes",

		category = "immersiveOreRecipesHand",
		
		energy_required = 1,
		enabled = true,
		icon = data.raw.item["stone"].icon
	
	}


}
)






